
********

THESE .DO SYNTAX HAS BEEN WRITTEN BY INSTALLING THE FILES ON THE DESKTOP OF OUR ORGANIZATION'S COMPUTER. 
THE USER WHO WANTS TO USE THESE SYNTAX IS ADVISED TO EDIT THE ADDRESS for the use "***\***.dta,", clear 
SYNTAX APPROPRIATELY TO GUIDE STATA TO THE .dta FILE LOCATION.


*****************table 3: background characteristics of study participants*******
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear


tab2 r_1_u_2_new site , col
tab sex site if age_c==1 , col
tab sex site if age_c==2 , col
tab2 family_type_cat site, col
tab2 religion_cat site,col
tab2 ethnicity_grouped site, col
tab2 educ_head2 site, col
tab2 occup_head2 site, col
tab2 informant_recoded2 site, col

use "C:\Users\inclen\Desktop\S1_Data_Palwal.dta", clear
tab quantile

use "C:\Users\inclen\Desktop\S2_Data_Kangra.dta", clear
tab quantile

use "C:\Users\inclen\Desktop\S3_Data_Dhenkanal.dta", clear
tab quantile

use "C:\Users\inclen\Desktop\S4_Data_Hyderabad.dta", clear
tab quantile

use "C:\Users\inclen\Desktop\S5_Data_Goa.dta", clear
tab quantile


****************Sample weight**************
PALWAL
************
use "C:\Users\inclen\Desktop\S1_Data_Palwal.dta", clear

drop siteclusterpop palwaldistrictpop sitewt palwaldistrict_weight

gen siteclusterpop=.

replace siteclusterpop=208 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=40  if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=209 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=39  if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=203 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=42 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=202 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=40 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2



gen palwaldistrictpop=.

replace palwaldistrictpop=29759 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace palwaldistrictpop=15453 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace palwaldistrictpop=28267 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace palwaldistrictpop=15398 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace palwaldistrictpop=26380 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace palwaldistrictpop=12870 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace palwaldistrictpop=25068 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace palwaldistrictpop=13075 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2

gen sitewt=siteclusterpop/palwaldistrictpop

gen palwaldistrict_weight=1/sitewt

svyset clusters_final [pweight=palwaldistrict_weight], strata(age_c)

KANGRA
************
use "C:\Users\inclen\Desktop\S2_Data_Kangra.dta", clear

drop siteclusterpop kangradistrictpop sitewt kangradistrict_weight

gen siteclusterpop=.

replace siteclusterpop=240 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=8 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=20 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=3  if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=220 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=7  if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=25 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=0   if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=195 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=5  if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=15 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=1   if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=184 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=9 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=12 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=2 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2



gen kangradistrictpop=.

replace kangradistrictpop=44826 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace kangradistrictpop=1425 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace kangradistrictpop=2163 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace kangradistrictpop=249 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace kangradistrictpop=49232 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace kangradistrictpop=1565 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace kangradistrictpop=2610 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace kangradistrictpop=336 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace kangradistrictpop=39489 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace kangradistrictpop=1251 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace kangradistrictpop=1784 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace kangradistrictpop=309 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace kangradistrictpop=42133 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace kangradistrictpop=1249 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace kangradistrictpop=2131 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace kangradistrictpop=417 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen sitewt=siteclusterpop/kangradistrictpop

gen kangradistrict_weight=1/sitewt

svyset clusters_final [pweight=kangradistrict_weight], strata(age_c)


DHENKANAL
************
use "C:\Users\inclen\Desktop\S3_Data_Dhenkanal.dta", clear

drop siteclusterpop dhenkanaldistrictpop sitewt dhenkanaldistrict_weight

gen siteclusterpop=.

replace siteclusterpop=218 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=0 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=23 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=0 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=212 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=2 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=22 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=1 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=205 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=2 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=26 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=0 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=213 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=1 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=19 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=5 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2



gen dhenkanaldistrictpop=.

replace dhenkanaldistrictpop=39158 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace dhenkanaldistrictpop=177 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace dhenkanaldistrictpop=3438 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace dhenkanaldistrictpop=95 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace dhenkanaldistrictpop=38769 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace dhenkanaldistrictpop=199 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace dhenkanaldistrictpop=3758 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace dhenkanaldistrictpop=116 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace dhenkanaldistrictpop=34181 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace dhenkanaldistrictpop=141 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace dhenkanaldistrictpop=3060 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace dhenkanaldistrictpop=59 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace dhenkanaldistrictpop=36679 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace dhenkanaldistrictpop=140 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace dhenkanaldistrictpop=3519 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace dhenkanaldistrictpop=81 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen sitewt=siteclusterpop/dhenkanaldistrictpop

gen dhenkanaldistrict_weight=1/sitewt

svyset clusters_final [pweight=dhenkanaldistrict_weight], strata(age_c)


HYDERABAD
************
use "C:\Users\inclen\Desktop\S4_Data_Hyderabad.dta", clear

drop siteclusterpop hyderabaddistrictpop sitewt hyderabaddistrict_weight

gen siteclusterpop=.

replace siteclusterpop=106 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=32 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=85 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=34 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=91 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=28 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=83 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=32 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen hyderabaddistrictpop=.

replace hyderabaddistrictpop=63756 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace hyderabaddistrictpop=75631 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace hyderabaddistrictpop=66851 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace hyderabaddistrictpop=79496 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace hyderabaddistrictpop=57771 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace hyderabaddistrictpop=70211 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace hyderabaddistrictpop=61353 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace hyderabaddistrictpop=74114 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen sitewt=siteclusterpop/hyderabaddistrictpop

gen hyderabaddistrict_weight=1/sitewt

svyset clusters_final [pweight=hyderabaddistrict_weight], strata(age_c)


NORTH GOA
************
use "C:\Users\inclen\Desktop\S5_Data_Goa.dta", clear

drop siteclusterpop northgoadistrictpop sitewt northgoadistrict_weight

gen siteclusterpop=.

replace siteclusterpop=72 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=11 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=36 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=2 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=73 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=9 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=35 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=5 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=71 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=12 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=37 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=5 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=78 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=9 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=35 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=3 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen northgoadistrictpop=.

replace northgoadistrictpop=7639 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace northgoadistrictpop=1447 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace northgoadistrictpop=9848 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace northgoadistrictpop=4203 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace northgoadistrictpop=7521 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace northgoadistrictpop=1474 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace northgoadistrictpop=9923 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace northgoadistrictpop=4230 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace northgoadistrictpop=7127 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace northgoadistrictpop=1349 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace northgoadistrictpop=9060 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace northgoadistrictpop=3980 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace northgoadistrictpop=7232 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace northgoadistrictpop=1457 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace northgoadistrictpop=9055 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace northgoadistrictpop=4065 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen sitewt=siteclusterpop/northgoadistrictpop

gen northgoadistrict_weight=1/sitewt

svyset clusters_final [pweight=northgoadistrict_weight], strata(age_c)

ALL SITES POOLED DATA
**********************
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear

drop siteclusterpop fivesitecensuspop sitewt fivesitecensus_weight

gen siteclusterpop=.

replace siteclusterpop=738 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=59 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=185 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=37 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=714 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=57 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=167 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=40 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=674 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=61 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=169 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=34 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace siteclusterpop=677 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace siteclusterpop=59 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace siteclusterpop=149 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace siteclusterpop=42 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen fivesitecensuspop=.

replace fivesitecensuspop=29688618 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace fivesitecensuspop=7487212 if age_c==1 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace fivesitecensuspop=9391991 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace fivesitecensuspop=3774967 if age_c==1 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace fivesitecensuspop=27449962 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace fivesitecensuspop=7039248 if age_c==1 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace fivesitecensuspop=8434814 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace fivesitecensuspop=3527765 if age_c==1 & sex==2 & r_1_u_2_new==2 & religion_cat==2
replace fivesitecensuspop=31064626 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==1
replace fivesitecensuspop=7621085 if age_c==2 & sex==1 & r_1_u_2_new==1 & religion_cat==2
replace fivesitecensuspop=9969722 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==1
replace fivesitecensuspop=3919553 if age_c==2 & sex==1 & r_1_u_2_new==2 & religion_cat==2
replace fivesitecensuspop=28690359 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==1
replace fivesitecensuspop=7136763 if age_c==2 & sex==2 & r_1_u_2_new==1 & religion_cat==2
replace fivesitecensuspop=8823790 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==1
replace fivesitecensuspop=3647998 if age_c==2 & sex==2 & r_1_u_2_new==2 & religion_cat==2

gen sitewt=siteclusterpop/fivesitecensuspop

gen fivesitecensus_weight=1/sitewt

svyset clusters_final [pweight=fivesitecensus_weight], strata(age_c)


****************Table 4: . Prevalence estimates of neurodevelopmental disorders for the five study districts according to age categories*****
****Palwal
use "C:\Users\inclen\Desktop\S1_Data_Palwal.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

****Kangra
use "C:\Users\inclen\Desktop\S2_Data_Kangra.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

****Hyderabad
use "C:\Users\inclen\Desktop\S3_Data_Dhenkanal.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

****Dhenkanal
use "C:\Users\inclen\Desktop\S4_Data_Hyderabad.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

****Goa
use "C:\Users\inclen\Desktop\S5_Data_Goa.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

****all site pooled
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear
svy: tab anyndd_cab_7 age_c, col ci deff
svy: tab anyndd_cab_9 age_c, col ci deff

svy: tab atleast2NDD age_c, col ci deff
svy: tab vision_n age_c, col ci deff
svy: tab epilepsy_n age_c, col ci deff
svy: tab nmi_n age_c, col ci deff
svy: tab hearing_n age_c, col ci deff
svy: tab sld_n age_c, col ci deff
svy: tab autism_n age_c, col ci deff
svy: tab id_n age_c, col ci deff
svy: tab adhd_n age_c, col ci deff
svy: tab ld_n age_c, col ci deff

**************Table 5: Multi-variable logistic regression analysis for risk factors for neuro-developmental disorders (NDD)#*********
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear
svy: logistic anyndd_cab_9 i.rf1_consanguinity i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex i. religion_cat i.r_1_u_2_new i.education_grouped i.age_c i. stunting i.ethnicity_grouped SLI_score

*************Significant modifiable risk factors***********
drop rf_modifiable
gen rf_modifiable=0
replace rf_modifiable=1 if (rf_lbw_preterm==1 | rf12_grouped==1 | rf14_asphyxia==1 | rf18_neonantal_illness==1 | rf20_post_brain_infection==1 | stunting==1 )
tab rf_modifiable

logit anyndd_cab_9 i.rf_modifiable, or robust
punaf, atspec(rf_modifiable=0) eform

****************Significant non modifiable risk factors******************

logit anyndd_cab_9 i.age_c, or robust
punaf, atspec(age_c=1) eform


****************All non modifiable risk factors******************
drop rf_non_modifiable
gen rf_non_modifiable=0
replace rf_non_modifiable=1 if (education_grouped==1 | religion_cat==2| ethnicity_grouped==1 | sex==1 | r_1_u_2_new==2 | age_c==2)
tab rf_non_modifiable

logit anyndd_cab_9 i.rf_non_modifiable, or robust
punaf, atspec(rf_non_modifiable=0) eform

***********************All modifiable risk factors***************
drop rf_non_allmodifiable
gen rf_non_allmodifiable=0
replace rf_non_allmodifiable=1 if (rf1_consanguinity==1 | rf2_mental_illness==1 | rf4_complications_du_preg==1 | rf8_Chorioamnionitis==1 | rf9_to==1  | rf10_multi_pregnancies==1 | rf_lbw_preterm==1 | rf12_grouped==1 | rf14_asphyxia==1 | rf18_neonantal_illness==1 | rf19_brain_injury==1 | rf20_post_brain_infection==1 | stunting==1)
tab rf_non_allmodifiable

logit anyndd_cab_9 i.rf_non_allmodifiable, or robust
punaf, atspec(rf_non_allmodifiable=0) eform

******************Total modifiable and non modifiable risk factors**************
drop rf_non_modifiable1
gen rf_non_modifiable1=0
replace rf_non_modifiable1=1 if (rf1_consanguinity==1 | rf2_mental_illness==1 | rf4_complications_du_preg==1 | rf8_Chorioamnionitis==1 | rf9_to==1  | rf10_multi_pregnancies==1 | rf_lbw_preterm==1 | rf12_grouped==1 | rf14_asphyxia==1 | rf18_neonantal_illness==1 | rf19_brain_injury==1 | rf20_post_brain_infection==1 | stunting==1 | education_grouped==1 | religion_cat==2| ethnicity_grouped==1 | sex==1 | r_1_u_2_new==2 | age_c==2)
tab rf_non_modifiable1

logit anyndd_cab_9 i.rf_non_modifiable1, or robust
punaf, atspec(rf_non_modifiable1=0) eform


***************PAF for individual risk factors*****************

logit anyndd_cab_9 i.rf1_consanguinity, or robust
punaf, atspec(rf1_consanguinity=0) eform

logit anyndd_cab_9 i.rf2_mental_illness, or robust
punaf, atspec(rf2_mental_illness=0) eform

logit anyndd_cab_9 i.rf4_complications_du_preg, or robust
punaf, atspec(rf4_complications_du_preg=0) eform

logit anyndd_cab_9 i.rf8_Chorioamnionitis, or robust
punaf, atspec(rf8_Chorioamnionitis=0) eform

logit anyndd_cab_9 i.rf9_to, or robust
punaf, atspec(rf9_to=0) eform

logit anyndd_cab_9 i.rf10_multi_pregnancies, or robust
punaf, atspec(rf10_multi_pregnancies=0) eform

logit anyndd_cab_9 i.rf12_grouped, or robust
punaf, atspec(rf12_grouped=0) eform

logit anyndd_cab_9 i.rf14_asphyxia, or robust
punaf, atspec(rf14_asphyxia=0) eform

logit anyndd_cab_9 i.rf18_neonantal_illness, or robust
punaf, atspec(rf18_neonantal_illness=0) eform

logit anyndd_cab_9 i.rf19_brain_injury, or robust
punaf, atspec(rf19_brain_injury=0) eform

logit anyndd_cab_9 i.rf20_post_brain_infection, or robust
punaf, atspec(rf20_post_brain_infection=0) eform

logit anyndd_cab_9 i.stunting, or robust
punaf, atspec(stunting=0) eform

logit anyndd_cab_9 i.rf_lbw_preterm, or robust
punaf, atspec(rf_lbw_preterm=0) eform

logit anyndd_cab_9 i.sex, or robust
punaf, atspec(sex=2) eform

logit anyndd_cab_9 i.r_1_u_2_new, or robust
punaf, atspec(r_1_u_2_new=2) eform

logit anyndd_cab_9 i.education_grouped, or robust
punaf, atspec(education_grouped=0) eform

logit anyndd_cab_9 i.religion_cat, or robust
punaf, atspec(religion_cat=1) eform

logit anyndd_cab_9 i.ethnicity_grouped, or robust
punaf, atspec(ethnicity_grouped=0) eform

logit anyndd_cab_9 i.age_c, or robust
punaf, atspec(age_c=1) eform

logit anyndd_cab_9 i.ethnicity_grouped, or robust
punaf, atspec(ethnicity_grouped=0) eform

*************do for supplementry tables***************

*************Supplementary Table S2: Co-existing Neuro-developmental Disorders (NDD; %) in study participants with at least one NDD*************
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear
tab vision_n  epilepsy_n , row
tab vision_n  nmi_n , row
tab vision_n  hearing_n , row
tab vision_n  sld_n , row
tab vision_n  autism_n , row
tab vision_n  id_n , row
tab vision_n  adhd_n , row
tab vision_n  ld_n , row
tab vision_n ateast1NDD, row


tab epilepsy_n  vision_n , row
tab epilepsy_n  nmi_n , row
tab epilepsy_n  hearing_n , row
tab epilepsy_n  sld_n , row
tab epilepsy_n  autism_n , row
tab epilepsy_n  id_n , row
tab epilepsy_n  adhd_n , row
tab epilepsy_n  ld_n , row
tab epilepsy_n ateast1NDD, row

tab nmi_n  vision_n , row
tab nmi_n  epilepsy_n , row
tab nmi_n  hearing_n , row
tab nmi_n  sld_n , row
tab nmi_n  autism_n , row
tab nmi_n  id_n , row
tab nmi_n  adhd_n , row
tab nmi_n  ld_n , row
tab nmi_n ateast1NDD, row
       
tab hearing_n  vision_n , row
tab hearing_n  epilepsy_n , row
tab hearing_n  nmi_n , row
tab hearing_n  sld_n , row
tab hearing_n  autism_n , row
tab hearing_n  id_n , row
tab hearing_n  adhd_n , row
tab hearing_n  ld_n , row
tab hearing_n ateast1NDD, row
       
tab sld_n  vision_n , row
tab sld_n  epilepsy_n , row
tab sld_n  nmi_n , row
tab sld_n  hearing_n , row
tab sld_n  autism_n , row
tab sld_n  id_n , row
tab sld_n  adhd_n , row
tab sld_n  ld_n , row
tab sld_n ateast1NDD, row
       
tab autism_n  vision_n , row
tab autism_n  epilepsy_n , row
tab autism_n  nmi_n , row
tab autism_n  hearing_n , row
tab autism_n  sld_n , row
tab autism_n  id_n , row
tab autism_n  adhd_n , row
tab autism_n  ld_n , row
tab autism_n ateast1NDD, row
       
tab id_n  vision_n , row
tab id_n  epilepsy_n , row
tab id_n  nmi_n , row
tab id_n  hearing_n , row
tab id_n  sld_n , row
tab id_n  autism_n , row
tab id_n  adhd_n , row
tab id_n  ld_n , row
tab id_n ateast1NDD, row
       
tab adhd_n  vision_n , row
tab adhd_n  epilepsy_n , row
tab adhd_n  nmi_n , row
tab adhd_n  hearing_n , row
tab adhd_n  sld_n , row
tab adhd_n  autism_n , row
tab adhd_n  id_n , row
tab adhd_n  ld_n , row
tab adhd_n ateast1NDD, row
       
tab ld_n  vision_n , row
tab ld_n  epilepsy_n , row
tab ld_n  nmi_n , row
tab ld_n  hearing_n , row
tab ld_n  sld_n , row
tab ld_n  autism_n , row
tab ld_n  id_n , row
tab ld_n  adhd_n , row
tab ld_n ateast1NDD, row
       
****************Supplementary Table S3:Distribution of the risk factors among children with and without Neuro-developmental Disorders (NDD)#****
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear
svy: tab rf1_consanguinity anyndd_cab_9, col ci
svy: tab rf2_mental_illness anyndd_cab_9, col ci
svy: tab rf3_pregnancy_losses anyndd_cab_9 , col ci
svy: tab rf4_complications_du_preg anyndd_cab_9 , col ci
svy: tab rf5_prag_medication anyndd_cab_9 , col ci
svy: tab rf6_radiation_exposure anyndd_cab_9 , col ci
svy: tab rf7_pesticides_exposure anyndd_cab_9 , col ci
svy: tab rf8_Chorioamnionitis anyndd_cab_9 , col ci
svy: tab rf9_to anyndd_cab_9 , col ci
svy: tab rf10 anyndd_cab_9 , col ci         
svy: tab rf12_grouped anyndd_cab_9 , col ci
svy: tab rf13_instru_deliv anyndd_cab_9 , col ci
svy: tab rf14_asphyxia anyndd_cab_9 , col ci
svy: tab rf18_neonantal_illness anyndd_cab_9 , col ci
svy: tab rf19_brain_injury anyndd_cab_9 , col ci
svy: tab rf20_post_brain_infection anyndd_cab_9 , col ci
svy: tab stunting anyndd_cab_9 , col ci
svy: tab underweight anyndd_cab_9 , col ci
svy: tab rf_lbw_preterm anyndd_cab_9 , col ci
svy: tab sex anyndd_cab_9 , col ci
svy: tab r_1_u_2_new anyndd_cab_9 , col ci
svy: tab education_grouped anyndd_cab_9 , col ci
svy: tab religion_cat anyndd_cab_9 , col ci
svy: tab ethnicity_grouped anyndd_cab_9 , col ci
svy: tab age_c anyndd_cab_9 , col ci
 
************* Supplementary Table S4: Multi-variable logistic regression analysis for risk factors for specific NDDs in children aged 2-9 years*********
use "C:\Users\inclen\Desktop\S6_Data_All.dta", clear

***************************************

svy: logistic vision_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

***************************************************************************************

svy: logistic epilepsy_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

*********************************************

svy: logistic nmi_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

*********************************************

svy: logistic hearing_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

***************************************

svy: logistic sld_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

*********************************************

svy: logistic autism_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score

***************************************

svy: logistic id_n i.rf2_mental_illness i.rf4_complications_du_preg i.rf8_Chorioamnionitis i.rf9_to i.rf10_multi_pregnancies i.rf_lbw_preterm i.rf12_grouped ///
i.rf14_asphyxia i.rf18_neonantal_illness i.rf19_brain_injury i.rf20_post_brain_infection ib2.sex ib2.r_1_u_2_new i.education_grouped i.stunting i.age_c i.religion_cat i.ethnicity_grouped SLI_score



